Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.messaging
Class DeliveryStatus

    java.lang.Object
      |
      +--com.bea.b2b.protocol.messaging.DeliveryStatus

public class DeliveryStatus
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The DeliveryStatus class represents the delivery status of a business message sent to a recipient trading partner.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `FAILURE` Message delivery failed.
`static int` | `RETRIES_EXHAUSTED` Delivery retries exhausted.
`static int` | `SUCCESS` Message delivery succeeded.
`static int` | `TIMEDOUT` Delivery timeout exceeded.

Constructor Summary
`DeliveryStatus(java.lang.String recipient, java.util.Date timestamp, int result)` Constructs the DeliveryStatus for the specified recipient, timestamp, and result.

Method Summary
`java.lang.String` | `getRecipient()` Gets the recipient or the message tracking location.
`int` | `getResult()` Gets the result of the message delivery.
`java.util.Date` | `getTimestamp()` Gets the timestamp of message delivery.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESS

    public static final int SUCCESS

  Message delivery succeeded.

### FAILURE

    public static final int FAILURE

  Message delivery failed.

### RETRIES_EXHAUSTED

    public static final int RETRIES_EXHAUSTED

  Delivery retries exhausted.

### TIMEDOUT

    public static final int TIMEDOUT

  Delivery timeout exceeded.

Constructor Detail

### DeliveryStatus

    public DeliveryStatus(java.lang.String recipient,
                          java.util.Date timestamp,
                          int result)

  Constructs the DeliveryStatus for the specified recipient, timestamp, and result.

Method Detail

### getRecipient

    public java.lang.String getRecipient()

  Gets the recipient or the message tracking location.

  Returns:
    String - Recipient trading partner or location along the message path.

### getTimestamp

    public java.util.Date getTimestamp()

  Gets the timestamp of message delivery.

  Returns:
    Date - Timestamp of message delivery.

### getResult

    public int getResult()

  Gets the result of the message delivery.

  Returns:
    int Result of message delivery. One of the following values: SUCCESS (0), FAILURE (1), RETRIES_EXHAUSTED (2), or TIMEDOUT (3).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)